-------------------------------------------------------
-- configuration de l'authentification CAS dans GLPI --
-------------------------------------------------------

\r glpi

-- procedure de MAJ du groupe DomainAdmins si auth_ldap --
DELIMITER //
DROP PROCEDURE IF EXISTS AddDomainAdmins//
CREATE PROCEDURE AddDomainAdmins()
BEGIN
	DECLARE compteur int(5) default 0;
	SELECT count(*) FROM `glpi_groups` WHERE `name`='DomainAdmins' INTO compteur;
	IF compteur = 0 THEN INSERT INTO `glpi_groups` (`id`, `entities_id`, `is_recursive`, `name`, `comment`, `users_id`, `ldap_field`, `ldap_value`, `ldap_group_dn`, `date_mod`) VALUES (1,0,0,'DomainAdmins',NULL,0,NULL,NULL,'%%glpi_domainadmins_dn','1980-01-01 01:00:00');
	ELSE UPDATE `glpi`.`glpi_groups` SET `ldap_group_dn`='%%glpi_domainadmins_dn' WHERE name='DomainAdmins';
	END IF;
END//
DELIMITER ;
-- Fin procedure --

%def splitdeuxpoints(chaine, id)
    %return chaine.split(':')[id]
%end def

%if %%glpi_admin_email != '' and %%glpi_smtp_host != ''
-- mail admin glpi --
LOCK TABLES `glpi_configs` WRITE;
UPDATE `glpi`.`glpi_configs` SET `admin_email` = '%%glpi_admin_email' WHERE `glpi_configs`.`ID` =1 LIMIT 1 ;
UPDATE `glpi`.`glpi_configs` SET `smtp_host` =  '%%splitdeuxpoints(%%glpi_smtp_host, 0)',
`smtp_port` = %%splitdeuxpoints(%%glpi_smtp_host, 1), `smtp_mode` = 1 WHERE `glpi_configs`.`ID` =1 LIMIT 1 ;
UNLOCK TABLES;
%end if

-- LDAP --
LOCK TABLES `glpi_configs` WRITE;
UPDATE `glpi`.`glpi_configs` SET `authldaps_id_extra` = 0 WHERE `glpi_configs`.`ID` =1 LIMIT 1 ;
UNLOCK TABLES;
-- re-creation de la table glpi_ldap_auth --
DROP TABLE IF EXISTS `glpi_authldaps`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `glpi_authldaps` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) collate utf8_unicode_ci default NULL,
  `host` varchar(255) collate utf8_unicode_ci default NULL,
  `basedn` varchar(255) collate utf8_unicode_ci default NULL,
  `rootdn` varchar(255) collate utf8_unicode_ci default NULL,
  `rootdn_password` varchar(255) collate utf8_unicode_ci default NULL,
  `port` int(11) NOT NULL default '389',
  `condition` text collate utf8_unicode_ci,
  `login_field` varchar(255) collate utf8_unicode_ci default 'uid',
  `use_tls` tinyint(1) NOT NULL default '0',
  `group_field` varchar(255) collate utf8_unicode_ci default NULL,
  `group_condition` varchar(255) collate utf8_unicode_ci default NULL,
  `group_search_type` int(11) NOT NULL default '0',
  `group_member_field` varchar(255) collate utf8_unicode_ci default NULL,
  `email_field` varchar(255) collate utf8_unicode_ci default NULL,
  `realname_field` varchar(255) collate utf8_unicode_ci default NULL,
  `firstname_field` varchar(255) collate utf8_unicode_ci default NULL,
  `phone_field` varchar(255) collate utf8_unicode_ci default NULL,
  `phone2_field` varchar(255) collate utf8_unicode_ci default NULL,
  `mobile_field` varchar(255) collate utf8_unicode_ci default NULL,
  `comment_field` varchar(255) collate utf8_unicode_ci default NULL,
  `use_dn` tinyint(1) NOT NULL default '1',
  `time_offset` int(11) NOT NULL default '0' COMMENT 'in seconds',
  `deref_option` int(11) NOT NULL default '0',
  `title_field` varchar(255) collate utf8_unicode_ci default NULL,
  `category_field` varchar(255) collate utf8_unicode_ci default NULL,
  `language_field` varchar(255) collate utf8_unicode_ci default NULL,
  `entity_field` varchar(255) collate utf8_unicode_ci default NULL,
  `entity_condition` text collate utf8_unicode_ci,
  `date_mod` datetime default NULL,
  `comment` text collate utf8_unicode_ci,
  `is_default` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `date_mod` (`date_mod`),
  KEY `is_default` (`is_default`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
SET character_set_client = @saved_cs_client;

%if %%glpi_ldap_auth == "oui"
LOCK TABLES `glpi_configs` WRITE;
UPDATE `glpi`.`glpi_configs` SET `authldaps_id_extra` = 1 WHERE `glpi_configs`.`ID` =1 LIMIT 1 ;
UNLOCK TABLES;
LOCK TABLES `glpi_authldaps` WRITE;
/*!40000 ALTER TABLE `glpi_authldaps` DISABLE KEYS */;
INSERT INTO `glpi_authldaps` (`id`, `name`, `host`, `basedn`, `rootdn`, `rootdn_password`, `port`, `condition`, `login_field`, `use_tls`, `group_field`, `group_condition`, `group_search_type`, `group_member_field`, `email_field`, `realname_field`, `firstname_field`, `phone_field`, `phone2_field`, `mobile_field`, `comment_field`, `use_dn`, `time_offset`, `deref_option`, `title_field`, `category_field`, `language_field`, `entity_field`, `entity_condition`, `date_mod`, `comment`, `is_default`) VALUES (1,'%%glpi_ldap_name','%%glpi_ldap_host','%%glpi_ldap_basedn','','',%%glpi_ldap_port,'','uid',0,'','(objectClass=posixGroup)',1,'memberuid','mail','sn','givenname','','','','',0,0,0,'',NULL,NULL,'','','2011-05-05 14:55:31','',1);
/*!40000 ALTER TABLE `glpi_authldaps` ENABLE KEYS */;
UNLOCK TABLES;
CALL AddDomainAdmins();
%end if

-- CAS --
LOCK TABLES `glpi_configs` WRITE;
%if %%glpi_cas_auth == "oui"
UPDATE `glpi`.`glpi_configs` SET `cas_host` =  '%%glpi_cas_host',
`cas_port` = '%%glpi_cas_port',
`cas_logout` = '%%glpi_cas_logout' WHERE `glpi_configs`.`ID` =1 LIMIT 1 ;
%else
UPDATE `glpi`.`glpi_configs` SET `cas_host` =  '',
`cas_port` = '',
`cas_logout` = '' WHERE `glpi_configs`.`ID` =1 LIMIT 1 ;
%end if
UNLOCK TABLES;

DROP PROCEDURE IF EXISTS AddDomainAdmins;

